image Relief(image Input, image BG,
		int method = 0,
		float depth = 20,
		float lightDirection = 135,
		float lightHeight=30.064,
		float detail =20,
		float sharpness = 10,
		float mix = 75,
)
{
Bytes1 = Bytes(Input, 2);
DetailControl = Blur(Bytes1, detail, xPixels, 1, "gauss", "gauss", "rgba");
Emboss1 = Emboss(DetailControl, depth, lightDirection, lightHeight);
SharpnessControl = Blur(Emboss1, sharpness, xPixels, 1, "gauss", "gauss", "rgba");
Bytes2 = Bytes(SharpnessControl, 4);
Brightness1 = Brightness(Bytes2, 2);
IMult1 = IMult(Input, Brightness1, 1, mix, 0);
IMult2 = IMult(BG, Brightness1, 0, mix, 0);
Bytes3 = Bytes(IMult1, Input.bytes);
Bytes4 = Bytes(IMult2, BG.bytes);
SwitchMatte1 = SwitchMatte(Bytes3, Input, 0, "a", 0, 0);
SwitchMatte2 = SwitchMatte(Bytes4, BG, 0, "a", 0, 0);
Select1 = Select(method+1, SwitchMatte1, SwitchMatte2, 0, 0);
}
